package com.gh.gamecenter.room.converter

import androidx.room.TypeConverter
import com.gh.gamecenter.common.utils.toJson
import com.gh.gamecenter.common.utils.toObject
import com.gh.gamecenter.entity.TagStyleEntity

class TagStyleConverter {

    @TypeConverter
    fun toString(entity: TagStyleEntity?): String {
        return entity?.toJson() ?: ""
    }

    @TypeConverter
    fun toObject(value: String?): TagStyleEntity {
        return value?.toObject() ?: TagStyleEntity()
    }

}